SETI@home v8.22 Windows GPU applications support thread

Message boards : Number crunching : SETI@home v8.22 Windows GPU applications support thread
Message board moderation

To post messages, you must log in.

Previous · 1 . . . 6 · 7 · 8 · 9 · 10 · 11 · 12 . . . 15 · Next

AuthorMessage
Profile Raistmer
Volunteer developer
Volunteer tester
Avatar

Send message
Joined: 16 Jun 01
Posts: 5980
Credit: 81,731,787
RAC: 18,384
Russia
Message 1921468 - Posted: 26 Feb 2018, 23:59:13 UTC - in response to Message 1921466.  

Статус выхода 197 (0x000000C5) EXIT_TIME_LIMIT_EXCEEDED

Try to reset project, Detach and then re-attach.
If this doesn't help try to install Lunatics and use non-SoG flavor there.
SETI apps news
We're not gonna fight them. We're gonna transcend them.
ID: 1921468 · Report as offensive     Reply Quote
rudabega Project Donor

Send message
Joined: 14 May 02
Posts: 17
Credit: 5,612,163
RAC: 0
United States
Message 1923915 - Posted: 11 Mar 2018, 6:26:41 UTC - in response to Message 1921468.  

I will look into this. What is meant by non-SoG flavor?

Thanks,

Rudabega
ID: 1923915 · Report as offensive     Reply Quote
Profile Zalster Special Project $250 donor
Volunteer tester
Avatar

Send message
Joined: 27 May 99
Posts: 4436
Credit: 260,397,915
RAC: 8,639
United States
Message 1923976 - Posted: 11 Mar 2018, 16:37:34 UTC - in response to Message 1923915.  
Last modified: 11 Mar 2018, 16:39:17 UTC

I think he means don't use OpenCl application. Use the Cuda 5.0 . SoG refers to Signals on Gpu, which is an OpenCl application. The other applications for running tasks are CUDA based. When using the Lunatics installer, on the GPU section by default it is CUDA 3.2. You have to change the selection at that if you want any higher CUDA application or the SoG (OpenCl) application.
ID: 1923976 · Report as offensive     Reply Quote
Profile Jimbocous Project Donor
Volunteer tester
Avatar

Send message
Joined: 1 Apr 13
Posts: 1090
Credit: 107,463,679
RAC: 28,495
United States
Message 1924022 - Posted: 11 Mar 2018, 19:51:53 UTC - in response to Message 1923976.  

I think he means don't use OpenCl application. Use the Cuda 5.0 . SoG refers to Signals on Gpu, which is an OpenCl application. The other applications for running tasks are CUDA based. When using the Lunatics installer, on the GPU section by default it is CUDA 3.2. You have to change the selection at that if you want any higher CUDA application or the SoG (OpenCl) application.

Thought Cuda apps were only for NVidia, but I'm scratching my head as to what the AMD app would be if that's so ...
ID: 1924022 · Report as offensive     Reply Quote
Profile Zalster Special Project $250 donor
Volunteer tester
Avatar

Send message
Joined: 27 May 99
Posts: 4436
Credit: 260,397,915
RAC: 8,639
United States
Message 1924030 - Posted: 11 Mar 2018, 20:04:59 UTC - in response to Message 1924022.  

I think you are right Jimbo, so now you have me wondering what Raistmer did mean.........
ID: 1924030 · Report as offensive     Reply Quote
Stephen "Heretic" Special Project $250 donor
Volunteer tester
Avatar

Send message
Joined: 20 Sep 12
Posts: 3364
Credit: 69,814,553
RAC: 89,911
Australia
Message 1924044 - Posted: 11 Mar 2018, 21:11:30 UTC - in response to Message 1924022.  

I think he means don't use OpenCl application. Use the Cuda 5.0 . SoG refers to Signals on Gpu, which is an OpenCl application. The other applications for running tasks are CUDA based. When using the Lunatics installer, on the GPU section by default it is CUDA 3.2. You have to change the selection at that if you want any higher CUDA application or the SoG (OpenCl) application.

Thought Cuda apps were only for NVidia, but I'm scratching my head as to what the AMD app would be if that's so ...


. . There were several before SoG was available. Because there were variants for different vintages of cards. You would need to consult another AMD user for better info about that.

Stephen

? ?
ID: 1924044 · Report as offensive     Reply Quote
rudabega Project Donor

Send message
Joined: 14 May 02
Posts: 17
Credit: 5,612,163
RAC: 0
United States
Message 1924125 - Posted: 12 Mar 2018, 4:56:33 UTC - in response to Message 1921468.  

Raistmer,

So I installed Lunatics software on the machine. However, I am not sure if I selected non-SoG flavor. Once everything came back up, I receive the following message in the event log:

3/11/2018 10:27:42 PM | SETI@home | Message from server: Unknown app name setiathome_v7 in app_info.xml

It shows this message 14 times and then says "No tasks sent".

So it would appear that I did not install correctly. Following are the settings I used during the install:

CPU INSTALLATION SELECTION OPTIONS:
AstroPulse v7 (CPU): SSE3
MultiBeam v8 (CPU) - includes legacy v7: SSE4, 2 (preferred over AVX on AMD CPUs)

GPU INSTALLATION SELECTION OPTIONS (used AMD/ATI page only, page 2):
Astropulse v7 (ATI): Enable processing AstroPulse tasks on GPU (ATI): AP7_win_x86_SSE2_OpenCL_ATI_r2742 (for ATI HD4xxx series and above)
MultiBeam v8 (ATI) - includes legacy v7: Enable processing MulitBeam tasks on GPU (ATI): MB7_win_x86_SSE2_OpenCL_ATI_HD5_r3330 (for HD5xxx and above)

I made no selections on the pages for Nvidia GPUs and Intel GPUs.

I read through all the information, but did not see anything that specifically indicated I should make a selection different from the default.

Also, as an off topic question, can you add into the app_info.xml file to tell the GPU to only run during specific times? I.e. I only want the GPU to run from say 6 PM to 10 PM?

Thanks,

Rudabega
ID: 1924125 · Report as offensive     Reply Quote
Profile Wiggo "Socialist"
Avatar

Send message
Joined: 24 Jan 00
Posts: 14252
Credit: 185,459,173
RAC: 83,509
Australia
Message 1924126 - Posted: 12 Mar 2018, 5:07:47 UTC

3/11/2018 10:27:42 PM | SETI@home | Message from server: Unknown app name setiathome_v7 in app_info.xml


You're using the wrong Lunatics installer to get that message, Lunatics Installer 0.45 Beta6 is the latest version and doesn't contain any Setiathome V7 apps.

Cheers.
ID: 1924126 · Report as offensive     Reply Quote
rudabega Project Donor

Send message
Joined: 14 May 02
Posts: 17
Credit: 5,612,163
RAC: 0
United States
Message 1924137 - Posted: 12 Mar 2018, 7:45:57 UTC - in response to Message 1924125.  

Update:

WU's for the GPU were finally downloaded. However, it appears that when they are started, they get about 30 seconds in and then crash the system. Either by requiring the GPU driver to restart or BSOD. I am at a loss at this point, nothing seems to be working.

Rudabega
ID: 1924137 · Report as offensive     Reply Quote
Stephen "Heretic" Special Project $250 donor
Volunteer tester
Avatar

Send message
Joined: 20 Sep 12
Posts: 3364
Credit: 69,814,553
RAC: 89,911
Australia
Message 1924162 - Posted: 12 Mar 2018, 12:27:02 UTC - in response to Message 1924137.  

Update:

WU's for the GPU were finally downloaded. However, it appears that when they are started, they get about 30 seconds in and then crash the system. Either by requiring the GPU driver to restart or BSOD. I am at a loss at this point, nothing seems to be working.

Rudabega


. . As Wiggo pointed out you need to use the latest version of the Lunatics installer Version 0.45 Beta6.

. . And a Xeon processor is Intel not AMD/ATI so AVX would be the choice over SSW4.2 I believe on that flavour of Xeon (in fact the latter versions of Lunatics do not actually support SSE4.2 only SSE3.0 so AVX is by far the better choice). I suggest you try again and good luck.

Stephen

. .
ID: 1924162 · Report as offensive     Reply Quote
Profile Raistmer
Volunteer developer
Volunteer tester
Avatar

Send message
Joined: 16 Jun 01
Posts: 5980
Credit: 81,731,787
RAC: 18,384
Russia
Message 1924475 - Posted: 14 Mar 2018, 11:38:12 UTC - in response to Message 1923915.  

I will look into this. What is meant by non-SoG flavor?

Thanks,

Rudabega

There are 2 different OpenCL AMD builds available. SoG one and non-SoG one. Hardly worth to recommend to use CUDA on AMD devices.
Just install and use binary w/o SoG in name.
SETI apps news
We're not gonna fight them. We're gonna transcend them.
ID: 1924475 · Report as offensive     Reply Quote
Profile Raistmer
Volunteer developer
Volunteer tester
Avatar

Send message
Joined: 16 Jun 01
Posts: 5980
Credit: 81,731,787
RAC: 18,384
Russia
Message 1924478 - Posted: 14 Mar 2018, 11:40:55 UTC - in response to Message 1924125.  
Last modified: 14 Mar 2018, 11:42:21 UTC


MultiBeam v8 (ATI) - includes legacy v7: Enable processing MulitBeam tasks on GPU (ATI): MB7_win_x86_SSE2_OpenCL_ATI_HD5_r3330 (for HD5xxx and above)


Seems right one. EDIT: except as was pointed out it should be MB8 not MB7 one.
Look for MB8...HD5 in binary name.


Also, as an off topic question, can you add into the app_info.xml file to tell the GPU to only run during specific times? I.e. I only want the GPU to run from say 6 PM to 10 PM?

No, it can be done via BOINC itself, not science app.
SETI apps news
We're not gonna fight them. We're gonna transcend them.
ID: 1924478 · Report as offensive     Reply Quote
Profile Raistmer
Volunteer developer
Volunteer tester
Avatar

Send message
Joined: 16 Jun 01
Posts: 5980
Credit: 81,731,787
RAC: 18,384
Russia
Message 1924480 - Posted: 14 Mar 2018, 11:47:26 UTC - in response to Message 1924137.  
Last modified: 14 Mar 2018, 11:48:09 UTC

Update:

WU's for the GPU were finally downloaded. However, it appears that when they are started, they get about 30 seconds in and then crash the system. Either by requiring the GPU driver to restart or BSOD. I am at a loss at this point, nothing seems to be working.

Rudabega


https://cloud.mail.ru/public/EKG2/7kLKfpLcW
or
https://cloud.mail.ru/public/FWLT/h3hqU1Rnv

Does Einstein's ATi GPU app work OK?
SETI apps news
We're not gonna fight them. We're gonna transcend them.
ID: 1924480 · Report as offensive     Reply Quote
Profile MindCrime
Volunteer tester

Send message
Joined: 24 Feb 14
Posts: 8
Credit: 5,291,705
RAC: 177
United States
Message 1925924 - Posted: 23 Mar 2018, 4:01:11 UTC

I was wondering if anyone could help me specify which app version I get. In question is an HD7970 and I've been running the
8.22 (opencl_ati5_SoG_nocal) app. I was looking around and I would like to try the 8.22 (opencl_ati5_nocal) version. I tried to come up with a basic app_info.xml that tried using "opencl_ati5_nocal" as the <app_name>, and when that didn't work I tried it with the <plan_class> which also didn't work. All help appreciated.
ID: 1925924 · Report as offensive     Reply Quote
Profile Jimbocous Project Donor
Volunteer tester
Avatar

Send message
Joined: 1 Apr 13
Posts: 1090
Credit: 107,463,679
RAC: 28,495
United States
Message 1925936 - Posted: 23 Mar 2018, 5:19:33 UTC - in response to Message 1925924.  

I was wondering if anyone could help me specify which app version I get. In question is an HD7970 and I've been running the
8.22 (opencl_ati5_SoG_nocal) app. I was looking around and I would like to try the 8.22 (opencl_ati5_nocal) version. I tried to come up with a basic app_info.xml that tried using "opencl_ati5_nocal" as the <app_name>, and when that didn't work I tried it with the <plan_class> which also didn't work. All help appreciated.

Can't give you a ton of help, as I run NVidia, but unless the SoG app is causing a problem I would assume it would out-perform the non-SoG app.
ID: 1925936 · Report as offensive     Reply Quote
Profile Zalster Special Project $250 donor
Volunteer tester
Avatar

Send message
Joined: 27 May 99
Posts: 4436
Credit: 260,397,915
RAC: 8,639
United States
Message 1925937 - Posted: 23 Mar 2018, 5:22:18 UTC - in response to Message 1925936.  

He might want to send a message to TBar

First person I think about who seems to know alot about the apps and ATI cards
ID: 1925937 · Report as offensive     Reply Quote
Profile Mike Special Project $75 donor
Volunteer tester
Avatar

Send message
Joined: 17 Feb 01
Posts: 31106
Credit: 63,350,720
RAC: 25,447
Germany
Message 1925972 - Posted: 23 Mar 2018, 9:12:27 UTC - in response to Message 1925924.  

I was wondering if anyone could help me specify which app version I get. In question is an HD7970 and I've been running the
8.22 (opencl_ati5_SoG_nocal) app. I was looking around and I would like to try the 8.22 (opencl_ati5_nocal) version. I tried to come up with a basic app_info.xml that tried using "opencl_ati5_nocal" as the <app_name>, and when that didn't work I tried it with the <plan_class> which also didn't work. All help appreciated.


My HD 7970 didn`t like SOG version as well so you might want the non SOG version.

https://cloud.mail.ru/public/EKG2/7kLKfpLcW

Just modify the appinfo so it matches the file name.
With each crime and every kindness we birth our future.
ID: 1925972 · Report as offensive     Reply Quote
Profile MindCrime
Volunteer tester

Send message
Joined: 24 Feb 14
Posts: 8
Credit: 5,291,705
RAC: 177
United States
Message 1926098 - Posted: 23 Mar 2018, 21:42:21 UTC - in response to Message 1925972.  

So i copied those files into my seti folder, I changed all references in my app_info of ...r3557... to r3584...

Now BOINC gives me:
3/23/2018 2:35:43 PM | SETI@home | Message from server: Your app_info.xml file doesn't have a usable version of SETI@home v8.

When I look in the seti folder there is no "MB8_win_x86_SSE2_OpenCL_ATi_HD5_r3584.exe" in there even though I just copied it there. It seems when boinc starts it "disappears"

here is a section of my app_info which was working fine with the r3557 version but now with r3584 edited in:

<app_version>
<app_name>setiathome_v8</app_name>
<version_num>822</version_num>
<platform>windows_x86_64</platform>
<api_version>7.5.0</api_version>
<avg_ncpus>0.04</avg_ncpus>
<max_ncpus>0.2</max_ncpus>
<plan_class>opencl_ati5_nocal</plan_class>
<coproc>
<type>ATI</type>
<count>1</count>
</coproc>
<file_ref>
<file_name>MB8_win_x86_SSE2_OpenCL_ATi_HD5_r3584.exe</file_name>
<main_program/>
</file_ref>
<file_ref>
<file_name>libfftw3f-3-3-4_x86.dll</file_name>
</file_ref>
<file_ref>
<file_name>MultiBeam_Kernels_r3584.cl</file_name>
</file_ref>
<file_ref>
<file_name>mb_cmdline_win_x86_SSE2_OpenCL_ATi_HD5.txt</file_name>
<open_name>mb_cmdline.txt</open_name>
</file_ref>
</app_version>
ID: 1926098 · Report as offensive     Reply Quote
Profile MindCrime
Volunteer tester

Send message
Joined: 24 Feb 14
Posts: 8
Credit: 5,291,705
RAC: 177
United States
Message 1926101 - Posted: 23 Mar 2018, 21:51:53 UTC - in response to Message 1925972.  

I was wondering if anyone could help me specify which app version I get. In question is an HD7970 and I've been running the
8.22 (opencl_ati5_SoG_nocal) app. I was looking around and I would like to try the 8.22 (opencl_ati5_nocal) version. I tried to come up with a basic app_info.xml that tried using "opencl_ati5_nocal" as the <app_name>, and when that didn't work I tried it with the <plan_class> which also didn't work. All help appreciated.


My HD 7970 didn`t like SOG version as well so you might want the non SOG version.

https://cloud.mail.ru/public/EKG2/7kLKfpLcW

Just modify the appinfo so it matches the file name.


I don't know why I'm struggling with this, I feel like if you gave me your app_info and i used the files you linked I'd still get this message I feel like Im not integrating the change correctly.
ID: 1926101 · Report as offensive     Reply Quote
Profile Mike Special Project $75 donor
Volunteer tester
Avatar

Send message
Joined: 17 Feb 01
Posts: 31106
Credit: 63,350,720
RAC: 25,447
Germany
Message 1926103 - Posted: 23 Mar 2018, 22:01:49 UTC
Last modified: 23 Mar 2018, 22:02:34 UTC

This is what i use.

<app>
<name>setiathome_v8</name>
</app>
<file_info>
<name>MB8_win_x86_SSE2_OpenCL_ATi_HD5_r3584.exe</name>
<executable/>
</file_info>
<file_info>
<name>libfftw3f-3-3-4_x86.dll</name>
<executable/>
</file_info>
<file_info>
<name>mb_cmdline_win_x86_SSE2_OpenCL_ATi_HD5.txt</name>
</file_info>
<app_version>
<app_name>setiathome_v8</app_name>
<version_num>800</version_num>
<platform>windows_intelx86</platform>
<avg_ncpus>0.04</avg_ncpus>
<max_ncpus>0.2</max_ncpus>
<plan_class>ati_opencl_sah</plan_class>
<cmdline></cmdline>
<coproc>
<type>ATI</type>
<count>1</count>
</coproc>
<file_ref>
<file_name>MB8_win_x86_SSE2_OpenCL_ATi_HD5_r3584.exe</file_name>
<main_program/>
</file_ref>
<file_ref>
<file_name>libfftw3f-3-3-4_x86.dll</file_name>
</file_ref>
<file_ref>
<file_name>mb_cmdline_win_x86_SSE2_OpenCL_ATi_HD5.txt</file_name>
<open_name>mb_cmdline.txt</open_name>
</file_ref>
</app_version>
With each crime and every kindness we birth our future.
ID: 1926103 · Report as offensive     Reply Quote
Previous · 1 . . . 6 · 7 · 8 · 9 · 10 · 11 · 12 . . . 15 · Next

Message boards : Number crunching : SETI@home v8.22 Windows GPU applications support thread


 
©2018 University of California
 
SETI@home and Astropulse are funded by grants from the National Science Foundation, NASA, and donations from SETI@home volunteers. AstroPulse is funded in part by the NSF through grant AST-0307956.